Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.CatchClauseContext

- org.apache.groovy.parser.antlr4.GroovyParser.CatchClauseContext

-     public static class GroovyParser.CatchClauseContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CatchClauseContext (ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `CATCH()`
    `` | `public TerminalNode` | `LPAREN()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public GroovyParser.BlockContext` | `block()`
    `` | `public GroovyParser.CatchTypeContext` | `catchType()`
    `` | `public int` | `getRuleIndex()`
    `` | `public GroovyParser.IdentifierContext` | `identifier()`
    `` | `public GroovyParser.NlsContext` | `nls()`
    `` | `public GroovyParser.RparenContext` | `rparen()`
    `` | `public GroovyParser.VariableModifiersOptContext` | `variableModifiersOpt()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Constructor Detail

    - #### public CatchClauseContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode CATCH()

    - #### public TerminalNode LPAREN()

    - #### <Result> @Override public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public GroovyParser.BlockContext block()

    - #### public GroovyParser.CatchTypeContext catchType()

    - #### @Override public int getRuleIndex()

    - #### public GroovyParser.IdentifierContext identifier()

    - #### public GroovyParser.NlsContext nls()

    - #### public GroovyParser.RparenContext rparen()

    - #### public GroovyParser.VariableModifiersOptContext variableModifiersOpt()